ColumnIdentifier.Raw (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class ColumnIdentifier.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnIdentifier.Raw

- All Implemented Interfaces:
    Selectable.Raw
  Enclosing class:
    ColumnIdentifier

      public static class ColumnIdentifier.Raw
      extends java.lang.Object
      implements Selectable.Raw

  Because Thrift-created tables may have a non-text comparator, we cannot determine the proper 'key' until we know the comparator. ColumnIdentifier.Raw is a placeholder that can be converted to a real ColumnIdentifier once the comparator is known with prepare(). This should only be used with identifiers that are actual column names. See CASSANDRA-8178 for more background.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Raw(java.lang.String rawText, boolean keepCase)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `ColumnIdentifier` | `prepare(CFMetaData cfm)`
    `boolean` | `processesSelection()` Returns true if any processing is performed on the selected column.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Raw

          public Raw(java.lang.String rawText,
                     boolean keepCase)

  - ### Method Detail

    - #### prepare

          public ColumnIdentifier prepare(CFMetaData cfm)

      Specified by:
        `prepare` in interface `Selectable.Raw`

    - #### processesSelection

          public boolean processesSelection()

      Description copied from interface: `Selectable.Raw`
      Returns true if any processing is performed on the selected column.
      Specified by:
        `processesSelection` in interface `Selectable.Raw`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation